Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.util.xml
Class ErrorLogger

    java.lang.Object
      org.hibernate.util.xml.ErrorLogger

All Implemented Interfaces:
  Serializable, ErrorHandler

    public class ErrorLogger

extends Object
implements ErrorHandler, Serializable

Implements an `ErrorHandler` that mainly just logs errors/warnings. However, it does track the intial error it encounters and makes it available via `getError()`.

Author:
  Steve Ebersole
See Also:
  Serialized Form

Constructor Summary
`ErrorLogger()`

Method Summary
`void` | `error(SAXParseException error)`
`void` | `fatalError(SAXParseException error)`
`SAXParseException` | `getError()` Retrieve the initial error encountered, or null if no error was encountered.
`void` | `reset()`
`void` | `warning(SAXParseException warn)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ErrorLogger

    public ErrorLogger()

Method Detail

### getError

    public SAXParseException getError()

  Retrieve the initial error encountered, or null if no error was encountered.

  Returns:
    The initial error, or null if none.

### error

    public void error(SAXParseException error)

  Specified by:
    `error` in interface `ErrorHandler`

### fatalError

    public void fatalError(SAXParseException error)

  Specified by:
    `fatalError` in interface `ErrorHandler`

### warning

    public void warning(SAXParseException warn)

  Specified by:
    `warning` in interface `ErrorHandler`

### reset

    public void reset()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.